_readykernel()
{
	COMPREPLY=()

	local cur
	cur="${COMP_WORDS[COMP_CWORD]}"

	if [ $COMP_CWORD -eq 2 ]; then
		case "${COMP_WORDS[COMP_CWORD-1]}" in
		"autoload"|"autoupdate")
			COMPREPLY=( $( compgen -W "enable disable" -- ${cur} ) )
			;;
		"licload")
			COMPREPLY=( $( compgen -W "--accept-eula" -- ${cur} ) )
			;;
		esac
		return
	fi

	COMPREPLY=( $( compgen -W "info load unload load-replace autoload update autoupdate \
	       check-update patch-info initialize licinfo licload licunload report help" -- ${cur} ) )
}

complete -F _readykernel readykernel

